Get Asset

Retrieve a specific asset by ID.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
A unique identifier for an asset.

Response

Asset retrieved successfully
idstring
A unique identifier for an asset.
createdAtdatetime
The date and time the asset was created.
updatedAtdatetime
The date and time the asset was last updated.
typeenum
The type of asset file.
Allowed values:
visibilityenum
Visibility scope for the asset.
Allowed values:
namestring or null
The filename of the asset.
urlstring or null
The URL to access the asset media.
sizelong or null
File size in bytes.
formatstring or null

File format/extension (e.g., “mp4”, “wav”).

inputTypeenum or null
The source type of the asset.
durationSecondsdouble or null

Duration of the media in seconds (for audio/video).

thumbnailUrlstring or null
URL to the asset's thumbnail image.
widthinteger or null

Width in pixels (for video/image).

heightinteger or null

Height in pixels (for video/image).

Errors